> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Dataset Structure



## OpenAPI

````yaml /api-reference/openapi.json patch /api/datasets/{dataset_id}/structure
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/datasets/{dataset_id}/structure:
    patch:
      tags:
        - api
        - datasets
      summary: Update Dataset Structure
      operationId: update_dataset_structure_api_datasets__dataset_id__structure_patch
      parameters:
        - name: dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Dataset Id
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetStructurePatch'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                title: >-
                  Response Update Dataset Structure Api Datasets  Dataset Id 
                  Structure Patch
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DatasetStructurePatch:
      properties:
        canonical_classes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Canonical Classes
        class_rules:
          anyOf:
            - items:
                $ref: '#/components/schemas/DatasetStructureRulePatch'
              type: array
            - type: 'null'
          title: Class Rules
        ignored_paths:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Ignored Paths
        engine_overrides:
          anyOf:
            - additionalProperties:
                type: object
              type: object
            - type: 'null'
          title: Engine Overrides
        folder_attribute_names:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Folder Attribute Names
        segmentation_label_names:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Segmentation Label Names
      type: object
      title: DatasetStructurePatch
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DatasetStructureRulePatch:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
          default: true
        matcher_type:
          anyOf:
            - type: string
              enum:
                - prefix
                - glob
                - regex
            - type: 'null'
          title: Matcher Type
          default: prefix
        matcher_value:
          type: string
          title: Matcher Value
        target_class:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Class
        exclude:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Exclude
          default: false
        priority:
          anyOf:
            - type: integer
            - type: 'null'
          title: Priority
          default: 0
      type: object
      required:
        - matcher_value
      title: DatasetStructureRulePatch
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````